Package com.norconex.commons.lang.bean.jackson

# Class JsonXmlCollectionModule.CollectionDeserializerModifier

java.lang.Object
com.fasterxml.jackson.databind.deser.BeanDeserializerModifier
com.norconex.commons.lang.bean.jackson.JsonXmlCollectionModule.CollectionDeserializerModifier

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  JsonXmlCollectionModule

public static class JsonXmlCollectionModule.CollectionDeserializerModifier extends com.fasterxml.jackson.databind.deser.BeanDeserializerModifier

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectionDeserializerModifier()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.fasterxml.jackson.databind.JsonDeserializer<?>`
  `modifyCollectionDeserializer(com.fasterxml.jackson.databind.DeserializationConfig config, com.fasterxml.jackson.databind.type.CollectionType type, com.fasterxml.jackson.databind.BeanDescription beanDesc, com.fasterxml.jackson.databind.JsonDeserializer<?> deserializer)`

  ### Methods inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializerModifier

  `modifyArrayDeserializer, modifyCollectionLikeDeserializer, modifyDeserializer, modifyEnumDeserializer, modifyKeyDeserializer, modifyMapDeserializer, modifyMapLikeDeserializer, modifyReferenceDeserializer, updateBuilder, updateProperties`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CollectionDeserializerModifier

    public CollectionDeserializerModifier()

- ## Method Details

  - ### modifyCollectionDeserializer

    public com.fasterxml.jackson.databind.JsonDeserializer<?> modifyCollectionDeserializer(com.fasterxml.jackson.databind.DeserializationConfig config, com.fasterxml.jackson.databind.type.CollectionType type, com.fasterxml.jackson.databind.BeanDescription beanDesc, com.fasterxml.jackson.databind.JsonDeserializer<?> deserializer)
    Overrides:
      `modifyCollectionDeserializer` in class `com.fasterxml.jackson.databind.deser.BeanDeserializerModifier`